
D4Science Infrastructure - VM Creation #11003

SmartGears node for cmems-importer-service

Jan 22, 2018 05:30 PM - Paolo Fabriani

Status: Closed Start date: Jan 22, 2018

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: No Sprint   

Infrastructure: Development Applications list and

version:

 

RAM: 2 Applications context

path:

cmems-importer-service

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: last PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube

/gcube/devsec

/gcube/devsec/devVRE

/gcube/devNext

/gcube/devNext/NextNext

  

Description

Please create a VM to host the cmems-importer-service in the development infrastructure.

Thank you.

Related issues:

Related to D4Science Infrastructure - Task #11005: Add cmems-importer-se-plug... Closed Jan 23, 2018

History

#1 - Jan 22, 2018 06:16 PM - Andrea Dell'Amico

Will node17.d4science.org be dismissed then?

#2 - Jan 23, 2018 08:10 AM - Paolo Fabriani

- Applications context path updated

It depends; there are some points to consider:

As far as I remember, @luca.frosini@isti.cnr.it has some SmartExecutor plugins there.

I also have a couple of SmartExecutor plugins there (cmems and oscar). But if the new VM can be equipped with SmartExecutor too, I'm happy

with the new one.

But mainly, I can't have tomcat running there, although it last week. Actually the process is there, but no service is listening on 9000.

Furthermore some applications do no start.

In any case, if creating a new VM and deploying the SmartExecutor is easier than fixing the problem with tomcat, I'm ok with dismissing it.

To avoid further work later on, please add also the application context path "smart-executor" to the new VM. Thank you.

#3 - Jan 23, 2018 09:14 AM - Luca Frosini

@paolo.fabriani@eng.it is this machine for dev or for production?

#4 - Jan 23, 2018 09:18 AM - Paolo Fabriani
It's for dev.

#5 - Jan 23, 2018 09:20 AM - Luca Frosini

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

@andrea.dellamico@isti.cnr.it we can use node17. I'm going to work on this.

#6 - Jan 23, 2018 10:17 AM - Luca Frosini

- Assignee changed from Luca Frosini to _InfraScience Systems Engineer

- Priority changed from Normal to High

I talk with @paolo.fabriani@eng.it and I understand some points:

There are two requirements:

cmems-importer-se-plugin (a smart executor plugin) to be deployed on node17.d4science.org (which also contains oscar-import-se-plugin)

cmems-importer-service to be deployed in a another machine (tracked from this ticket)

I already created created the playbook for cmems-importer-se-plugin but there are some issues see #11005

#7 - Jan 23, 2018 10:19 AM - Luca Frosini

- Related to Task #11005: Add cmems-importer-se-plugin to smart-executor on node17.d4science.org added

#8 - Jan 23, 2018 02:18 PM - Andrea Dell'Amico

Can you specify the scopes list? All is a bit vague.

#9 - Jan 23, 2018 02:42 PM - Luca Frosini

- Smartgears scopes updated

#10 - Jan 26, 2018 08:02 PM - Tommaso Piccioli

- % Done changed from 0 to 50

New VM running as cmems-import-d.dev.d4science.org, to be provisioned.

#11 - Jan 27, 2018 05:18 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

- Applications context path updated

The VM is up. There's no service installed because there was no indication on where to find it, but @paolo.fabriani@eng.it you have access as gcube

user.

nginx has been configured to act as reverse proxy for cmems-importer-service

#12 - Jan 29, 2018 11:44 AM - Paolo Fabriani

- Status changed from Feedback to Closed

Evetything works fine.

Thank you.

#13 - Jan 30, 2018 04:09 PM - Paolo Fabriani

- Status changed from Closed to In Progress

CA certificates seems not populated on this machine (only 32 bytes and no cert inside):

-rw-r--r-- 1 root root 32 Jan 27 17:14 /etc/ssl/certs/java/cacerts

 as opposed to what I see on other VMs (e.g. node17.d4science.org).

I'm having issues probably related to these certificates missing. The same tests work on node17.
Could you please install/populate them? Thank you.

#14 - Jan 30, 2018 04:23 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

Done. It's an Ubuntu 14.04 bug that was fixed on the more recent distributions only.

#15 - Jan 30, 2018 04:27 PM - Paolo Fabriani

It works fine now. Thank you.

#16 - Jan 30, 2018 04:28 PM - Paolo Fabriani

- Status changed from Feedback to Closed
